//////////////////////////////////////////////////////////////////////////////
//
//             Philips LPC210X LED/blinking Example
//               for the BASE2103_2106 board
//
//
//////////////////////////////////////////////////////////////////////////////

#include "lpc210x_gnuarm.h"

// BASE2103_2106:  led on P0.23 (active low)
#define LEDPIN  23

static void ledInit(void)
{
	GPIO_IODIR |= (1<<LEDPIN);	// define LED-Pin as output
	GPIO_IOSET = (1<<LEDPIN);	// set Bit = LED off (active low)
}

static void delay(void)
{
	volatile int i,j;

	for (i=0;i<100;i++)
		for (j=0;j<1000;j++);
}
 
int main(void)
{
	int i;
	
	MAM_MAMCR = 2;	// MAM functions fully enabled (?)

	PCB_PINSEL0 = 0x00000000; // Makesure GPIO0 = I/O Function
	PCB_PINSEL1 = 0x00000000;

	ledInit();
	
	i=0;
	while (1)	
	{
		GPIO_IOCLR=(1<<LEDPIN);	// set all outputs in mask to 0 -> LED on
		delay();
		GPIO_IOSET=(1<<LEDPIN);	// set all outputs in mask to 1 -> LED off
		delay();
		i++;
	}
	
	return 0;
}
